// 创建导航节点
function createNavNode() {
	var oDiv = document.createElement("div");
	oDiv.setAttribute("id", "nav");
	
	var oUl = document.createElement("ul");
	
	var oLi1 = document.createElement("li");				
	oLi1.setAttribute("class", "index");
	var languageInfo = getLanguageInfo();
	oLi1.innerHTML = languageInfo.homeText;
									
	oUl.appendChild(oLi1);
	
	var oLi2 = document.createElement("li");				
	oLi2.setAttribute("class", "games");
	oLi2.innerHTML = languageInfo.gamesPlayedText;
	
	oUl.appendChild(oLi2);
	
	oDiv.appendChild(oUl);
	
	return oDiv;					
}

// 创建页面顶部的动态展示广告图片的节点
// 一个大广告图动态展现之后显示一张一半
// 大小的广告图
function createBannerBNode(slaveImg, masterImg, packageId, resourceType, mgeUrl) {
	var oDivBannerB = document.createElement("div");
	oDivBannerB.setAttribute("class", "banner_b");
	
	var oDivB1 = document.createElement("div");
	oDivB1.setAttribute("class", "banner_b banner_b1");
	oDivB1.setAttribute("id", "js_ads_banner_top");
	
	var oA1 = document.createElement("a");
	if (resourceType == 6) {
		oA1.setAttribute("href", "#");
		oA1.setAttribute("mgeUrl", mgeUrl);
		oA1.setAttribute("onclick", "mgeFunc(event)");		
	} else {
		oA1.setAttribute("onclick", "requestGameDetailPage(" +　"4, " + "'" + packageId + "')");
	}
	
	var oImg1 = document.createElement("img");
	oImg1.setAttribute("src", slaveImg);
	oImg1.setAttribute("height", "180");

	oA1.appendChild(oImg1);
	oDivB1.appendChild(oA1);
	oDivBannerB.appendChild(oDivB1);
	
	return oDivBannerB;
}

function createListInfoArr(gameLists, gameListType) {
	var gameInfoArr = [];
	if (gameLists) {			
		var length = gameLists.length;
		for (var i=0; i<length; i++) {
			var gameInfoOrigin = gameLists[i];
			// 首页相关的属性
			var oMasterImg = decodeURIComponent(gameInfoOrigin.master_img);
			var oSlaveImg = decodeURIComponent(gameInfoOrigin.slave_img);						
			var oPortraitImg = decodeURIComponent(gameInfoOrigin.portrait_img);
			var oLandscapeImg = decodeURIComponent(gameInfoOrigin.landscape_img);
			var oDetailUrl = decodeURIComponent(gameInfoOrigin[language + "_index"]);
			var oCategory_1 = gameInfoOrigin.category_1;
			var oCategory_2 = gameInfoOrigin.category_2;
			var oCategory_3 = gameInfoOrigin.category_3;
			
			// 玩过的游戏相关的属性
			var oPackageId = gameInfoOrigin.package_id;
			var oResourceType = gameInfoOrigin.resource_type;
			// gameListType为0表示我的游戏；为1表示推荐游戏；为2表示热门游戏。
			var packageUrl = "http://wge.maxthon.cn/?package_id=" + oPackageId + "&" + "resource_type=" + oResourceType + "&" + "gamelist_type=" + gameListType;
			var oMgeUrl = "mge://" + window.BASE64.encoder(packageUrl);
			var oIconUrl = decodeURIComponent(gameInfoOrigin.local_icon_url);
			var oGameScore = parseInt(gameInfoOrigin.rating);
			var language = getLanguage();
			var oPlayerNum = gameInfoOrigin.player_num;
			var oDescription = gameInfoOrigin.description;			
			
			var gameInfo = {
					masterImg : oMasterImg,
					slaveImg : oSlaveImg,					
					portraitImg : oPortraitImg,
					landscapeImg : oLandscapeImg,
					resourceType : oResourceType,
					detailUrl : oDetailUrl,
					category_1 : oCategory_1,
					category_2 : oCategory_2,
					category_3 : oCategory_3,
								
					packageId : oPackageId,				
					mgeUrl : oMgeUrl,
					iconUrl : oIconUrl,
					gameName : gameInfoOrigin[language + "_name"],
					gameScore : oGameScore,
					playerNum : oPlayerNum,
					description : oDescription
			};						
			
			gameInfoArr.push(gameInfo);
			
		}
	}
	
	return gameInfoArr;	
}

// Private API
// 获取游戏信息列表
function getGameListInfoArr(gameListType) {
	var oGameOrigin = null;
	if (gameListType == 0) {
		oGameOrigin = mgeJS.getMyGameListObj();
	} else if (gameListType == 1) {
		oGameOrigin = mgeJS.getRecGameListObj();
	} else if (gameListType == 2) {
		oGameOrigin = mgeJS.getHotGameListObj();
	}
	var oGameLists = oGameOrigin.gamelists;
	var gameInfoArr = createListInfoArr(oGameLists, gameListType);
	
	return gameInfoArr;
}

function createBannerZzNode(imgUrl, packageId, resourceType, mgeUrl) {
	var oDivZz = document.createElement("div");
	oDivZz.setAttribute("class", "banner_zz");

	var oA1 = document.createElement("a");
	if (resourceType == 6) {
		oA1.setAttribute("href", "#");
		oA1.setAttribute("mgeUrl", mgeUrl);
		oA1.setAttribute("onclick", "mgeFunc(event)");		
	} else {
		oA1.setAttribute("onclick", "requestGameDetailPage(" +　"4, " + "'" + packageId + "')");
	}
	var oImg1 = document.createElement("img");
	oImg1.setAttribute("src", imgUrl);
	oImg1.setAttribute("width", "259");
	oImg1.setAttribute("height", "198");
	
	oA1.appendChild(oImg1);
	oDivZz.appendChild(oA1);
	
	return oDivZz;
}

function createBAnnerZrNode(imgUrl, packageId, resourceType, mgeUrl) {
	var oDivZr = document.createElement("div");
	oDivZr.setAttribute("class", "banner_zr");

	var oA2 = document.createElement("a");
	if (resourceType == 6) {
		oA2.setAttribute("href", "#");
		oA2.setAttribute("mgeUrl", mgeUrl);
		oA2.setAttribute("onclick", "mgeFunc(event)");		
	} else {
		oA2.setAttribute("onclick", "requestGameDetailPage(" +　"4, " + "'" + packageId + "')");
	}
	var oImg2 = document.createElement("img");
	oImg2.setAttribute("src", imgUrl);
	oImg2.setAttribute("width", "210");
	oImg2.setAttribute("height", "136");
	// 设置一个默认图片
	oImg2.onerror = function() {
		this.src = "./images/banner_yb.jpg";
	};
	
	oA2.appendChild(oImg2);
	oDivZr.appendChild(oA2);
	
	return oDivZr;	
}

function createBannerZrdNode(imgUrl, packageId, resourceType, mgeUrl) {
	var oDivZrd = document.createElement("div");
	oDivZrd.setAttribute("class", "banner_zrd");

	var oA3 = document.createElement("a");
	if (resourceType == 6) {
		oA3.setAttribute("href", "#");
		oA3.setAttribute("mgeUrl", mgeUrl);
		oA3.setAttribute("onclick", "mgeFunc(event)");		
	} else {
		oA3.setAttribute("onclick", "requestGameDetailPage(" +　"4, " + "'" + packageId + "')");
	}
	var oImg3 = document.createElement("img");
	oImg3.setAttribute("src", imgUrl);
	oImg3.setAttribute("width", "210");
	oImg3.setAttribute("height", "136");
	// 设置一个默认图片
	oImg3.onerror = function() {
		this.src = "./images/banner_yb.jpg";
	};
	
	oA3.appendChild(oImg3);
	oDivZrd.appendChild(oA3);
	
	return oDivZrd;	
}

function createGameTilesNode(gameName, packageId, detailUrl, imgUrl, keyword1, keyword2, keyword3, isBannerDpd) {
	var oLi = document.createElement("li");
	if (isBannerDpd) {
		oLi.setAttribute("class", "banner_dpd");
	}
	
	var oA1 = document.createElement("a");
	//oA1.setAttribute("href", detailUrl);
	oA1.setAttribute("onclick", "requestGameDetailPage(" +　"1, " + "'" + packageId + "')");

	var oImg = document.createElement("img");
	oImg.setAttribute("src", imgUrl);
	oImg.setAttribute("height", "320");
	// 设置一个默认图片
	oImg.onerror = function() {
		this.src = "./images/banner_c1.jpg";
	};
	
	oA1.appendChild(oImg);
	oLi.appendChild(oA1);
	
	var oBanerZ = document.createElement("div");
	oBanerZ.setAttribute("class", "baner_z");

	var oA2 = document.createElement("a");
	oA2.setAttribute("href", "#");
	oA2.innerHTML = gameName;
	
	oBanerZ.appendChild(oA2);
	oLi.appendChild(oBanerZ);
	
	var oBanerZ2 = document.createElement("div");
	oBanerZ2.setAttribute("class", "baner_z2");
	
	var oSpan = document.createElement("span");
	
	var oA3 = document.createElement("a");
	oA3.setAttribute("href", "#");
	oA3.innerHTML = keyword1;
	oSpan.appendChild(oA3);
	
	var oTextNode1 = document.createTextNode("/");
	oSpan.appendChild(oTextNode1);
	
	var oA4 = document.createElement("a");
	oA4.setAttribute("href", "#");
	oA4.innerHTML = keyword2;
	oSpan.appendChild(oA4);
	
	var oTextNode2 = document.createTextNode("/");
	oSpan.appendChild(oTextNode2);
	
	var oA5 = document.createElement("a");
	oA5.setAttribute("href", "#");
	oA5.innerHTML = keyword3;
	oSpan.appendChild(oA5);
	
	oBanerZ2.appendChild(oSpan);
	oLi.appendChild(oBanerZ2);
															
	return oLi;						
}

function createClearNode() {
	var oDiv = document.createElement("div");
	oDiv.setAttribute("class", "clear");
	
	return oDiv;	
}

function createBannerCNode() {		
	var oDivBannerC = document.createElement("div");
	oDivBannerC.setAttribute("class", "banner_c");
	
	var oUl = document.createElement("ul");
	// 获取推荐游戏列表
	var oGameListInfoArr = getGameListInfoArr(1);
	var length = oGameListInfoArr.length;
	for (var i=0; i<length; i++) {
		var oGameListInfo = oGameListInfoArr[i];
		var oPackageId = oGameListInfo.packageId;
		var oMgeUrl = oGameListInfo.mgeUrl;
		var oIconUrl = oGameListInfo.iconUrl;
		var oGameName = oGameListInfo.gameName;
		var gameScore = oGameListInfo.gameScore;
		var playerNum = oGameListInfo.playerNum;
		var isNewGame = oGameListInfo.isNewGame;
		var oPortraitImg = oGameListInfo.portraitImg;
		var oLandscapeImg = oGameListInfo.landscapeImg;
		var oDetailUrl = oGameListInfo.detailUrl;
		var oCategory_1 = oGameListInfo.category_1;
		var oCategory_2 = oGameListInfo.category_2;
		var oCategory_3 = oGameListInfo.category_3;		

		var isBannerDpd = (i+1)%3 == 0 ? true : false;
		var oLi = createGameTilesNode(oGameName, oPackageId, oDetailUrl, oPortraitImg, oCategory_1, oCategory_2, oCategory_3, isBannerDpd);
		oUl.appendChild(oLi);
	}
	
	oDivBannerC.appendChild(oUl);
	
	var oClearNode = createClearNode();
	oDivBannerC.appendChild(oClearNode);
		
	return oDivBannerC;
}
// Private API
// 获取顶部大图游戏信息列表
function getAdBannerListInfoArr() {
	var oGameOrigin = mgeJS.getAdBannerListObj();
	var oGameLists = oGameOrigin.gamelists;
	var gameInfoArr = createListInfoArr(oGameLists, 4);
	
	return gameInfoArr;
}

// 顶部大广告图和中间一大两小图片
function createBannerBAndZFragment() {
	var oFragment = document.createDocumentFragment();
	
	var oDivBannerZ = document.createElement("div");
	oDivBannerZ.setAttribute("class", "banner_z");
	
	var arr = getAdBannerListInfoArr();
	var length = arr.length;
	for (var i=0; i<length; i++) {
		var info = arr[i];
		var oSlaveImg = info.slaveImg;
		var oMasterImg = info.masterImg;
		var oLandscapeImg = info.landscapeImg;
		var oPackageId = info.packageId;
		var oResourceType = info.resourceType;
		var oMgeUrl = info.mgeUrl;
		
		switch(i) {
			case 0:
				// 播放Logo动画
				if (getQuery("notlogo") == null) {
					var oDivB2 = document.createElement("div");
					oDivB2.setAttribute("class", "banner_b banner_b2");
					oDivB2.setAttribute("id", "js_ads_banner_top_slide");
					oDivB2.setAttribute("style", "position:absolute; top:0px; left:0px;");
					
					var oA2 = document.createElement("a");
					if (oResourceType == 6) {
						oA2.setAttribute("href", "#");
						oA2.setAttribute("mgeUrl", oMgeUrl);
						oA2.setAttribute("onclick", "mgeFunc(event)");		
					} else {					
						oA2.setAttribute("onclick", "requestGameDetailPage(" +　"4, " + "'" + info.packageId + "')");
					}
					var oImg2 = document.createElement("img");
					oImg2.setAttribute("src", info.masterImg);
					oImg2.setAttribute("height", "400");

					oA2.appendChild(oImg2);
					oDivB2.appendChild(oA2);
					oFragment.appendChild(oDivB2);
				}
				var oDivBannerB = createBannerBNode(oSlaveImg, oMasterImg, oPackageId, oResourceType, oMgeUrl);
				oFragment.appendChild(oDivBannerB);
				break;
			case 1:
				var oDivZz = createBannerZzNode(oLandscapeImg, oPackageId, oResourceType, oMgeUrl);
				oDivBannerZ.appendChild(oDivZz);			
				break;
			case 2:
				var oDivZr = createBAnnerZrNode(oLandscapeImg, oPackageId, oResourceType, oMgeUrl);
				oDivBannerZ.appendChild(oDivZr);				
				break;
			case 3:
				var oDivZrd = createBannerZrdNode(oLandscapeImg, oPackageId, oResourceType, oMgeUrl);
				oDivZr.appendChild(oDivZrd);				
				break;
			default:
				break;	
		}		
	}
	
	oFragment.appendChild(oDivBannerZ);
	
	return oFragment;
}

function createPrBgPaddingNode() {
	var oDiv = document.createElement("div");
	oDiv.setAttribute("class", "bg_padding");
	
	// 顶部大广告图和中间一大两小图片
	var oFragment = createBannerBAndZFragment();				
	oDiv.appendChild(oFragment);
		
	// 其他图片列表	
	var oBannerCNode = createBannerCNode();
	oDiv.appendChild(oBannerCNode);

	var oClearNode = createClearNode();
	oDiv.appendChild(oClearNode);
					
	return oDiv;
}

function createPrSectionNode() {
	var oSection = document.createElement("section");
	oSection.setAttribute("id", "p-r");
	
	var oBgPaddingNode = createPrBgPaddingNode();
	oSection.appendChild(oBgPaddingNode);
	
	return oSection;
}

// 创建标题节点
function createHeaderNode() {
	var oH2 = document.createElement("h2");
	var oSpan = document.createElement("span");
	var languageInfo = getLanguageInfo();	
	oSpan.innerHTML = languageInfo.iPlayedText;
	oH2.appendChild(oSpan);
	
	return oH2;
}	

// 创建图片节点					
function createGameImgNode(gameIcon, packageId, width, height) {
	var oDiv = document.createElement("div");
	oDiv.setAttribute("class", "game_img");
	
	var oA = document.createElement("a");
	oA.setAttribute("href", "#");
	oA.setAttribute("onclick", "requestGameDetailPage(" +　"0, " + "'" + packageId + "')");
	
	oDiv.appendChild(oA);
	
	var oImg = document.createElement("img");
	oImg.setAttribute("src", gameIcon);
	if (!width || width <= 0) {
		width = 112;	
	}
	
	if (!height || height <= 0) {
		height = 112;	
	}
	oImg.setAttribute("width", width);
	oImg.setAttribute("height", height);
	
	oA.appendChild(oImg);
	
	return oDiv;
}

// 创建描述游戏简的节点
function createGameContentNode(gameName, packageId, gameScore, playerNum, description) {
	var oDiv = document.createElement("div");
	oDiv.setAttribute("class", "game_content");
	
	var oH1 = document.createElement("h1");									
	var oA = document.createElement("a");
	oA.setAttribute("href", "#");
	oA.setAttribute("onclick", "requestGameDetailPage(" +　"0, " + "'" + packageId + "')");
	oA.innerHTML = gameName;									
	oH1.appendChild(oA);
	
	oDiv.appendChild(oH1);
	
	var oDivStarW = document.createElement("div");
	oDivStarW.setAttribute("class", "star_w");
	var oP = document.createElement("p");
	var score = gameScore*20;
	oP.setAttribute("style", "width:" + score + "%");
	oDivStarW.appendChild(oP);
	
	oDiv.appendChild(oDivStarW);
	
	var oSpan = document.createElement("span");
	var languageInfo = getLanguageInfo();
	var playerNumInfo = languageInfo.playerNumInfoText(playerNum);
	oSpan.innerHTML = playerNumInfo;
	
	oDiv.appendChild(oSpan);
	
	var oDivGameCwz = document.createElement("div");
	oDivGameCwz.setAttribute("class", "game_cwz");
	oDivGameCwz.innerHTML = description;
	
	oDiv.appendChild(oDivGameCwz);
	
	return oDiv;
}

// 创建游戏按钮节点						
function createGameButtonNode(mgeUrl) {
	var oDiv = document.createElement("div");
	oDiv.setAttribute("class", "game_button");
	oDiv.setAttribute("mgeUrl", mgeUrl);
	oDiv.setAttribute("onclick", "mgeFunc(event)");
	
	
	var oA = document.createElement("a");
	oA.setAttribute("href", "#");
	var languageInfo = getLanguageInfo();
	oA.innerHTML = languageInfo.playText;
	oDiv.appendChild(oA);
	
	return oDiv;
}

// 创建游戏列表中的一个成员节点
function createGameListNode(gameIcon, gameName, packageId, gameScore, playerNum, description, mgeUrl) {									
	var oLi = document.createElement("li");
	
	var oGameImgNode = createGameImgNode(gameIcon, packageId);
	var oGameContentNode = createGameContentNode(gameName, packageId, gameScore, playerNum, description);	
	var oGameButtonNode = createGameButtonNode(mgeUrl);
	
	oLi.appendChild(oGameImgNode);
	oLi.appendChild(oGameContentNode)
	oLi.appendChild(oGameButtonNode);
	
	return oLi;
}

// 创建游戏列表节点
function createGameListContainerNode() {
	var oGameListInfoArr = getGameListInfoArr(0);
	if (oGameListInfoArr) {		
		var oUl = document.createElement("ul");
		var length = oGameListInfoArr.length;
		for (var i=0; i<length; i++) {
			var oGameListInfo = oGameListInfoArr[i];
			
			var oGameIcon = oGameListInfo.iconUrl;
			var oGameName = oGameListInfo.gameName;
			var oPackageId = oGameListInfo.packageId;
			var oGameScore = oGameListInfo.gameScore;
			var oPlayerNum = oGameListInfo.playerNum;
			var oDescription = oGameListInfo.description;
			var oMgeUrl = oGameListInfo.mgeUrl;
			
			var oLi = createGameListNode(oGameIcon, oGameName, oPackageId, oGameScore, oPlayerNum, oDescription, oMgeUrl);
			oUl.appendChild(oLi);
		}
	}	
	
	return oUl;
}

// 创建游戏列表的父节点
function createGameStarNode() {
	var oDiv = document.createElement("div");
	oDiv.setAttribute("class", "game_star");
	
	var oHeaderNode = createHeaderNode();
	oDiv.appendChild(oHeaderNode);	

	var oContainerNode = createGameListContainerNode();
	oDiv.appendChild(oContainerNode);
	
	var oClearNode = createClearNode();
	oDiv.appendChild(oClearNode);
	
	return oDiv;
}


function createPhBgPaddingNode() {
	var oDiv = document.createElement("div");
	oDiv.setAttribute("class", "bg_padding");
	var oGameStarNode = createGameStarNode();
	oDiv.appendChild(oGameStarNode);
	
	return oDiv;
}

function createPhSectionNode() {
	var oSection = document.createElement("section");
	oSection.setAttribute("id", "p-h");
	
	var oBgPaddingNode = createPhBgPaddingNode();
	oSection.appendChild(oBgPaddingNode);
	
	return oSection;
}


function createBgJbNode() {
	var oDiv = document.createElement("div");
	oDiv.setAttribute("class", "bg_jb");
	oDiv.setAttribute("id", "content");
		
	var oSection = createPrSectionNode();
	oDiv.appendChild(oSection);
	
	mgeJS.requestBannerList();
	
	mgeJS.requestGeniusGameList();

	var oSection2 = createPhSectionNode();
	oDiv.appendChild(oSection2);

	var oClearNode = createClearNode();
	oDiv.appendChild(oClearNode);
		
	return oDiv;
}

function getDefaultTab() {
	var defaultTab = "";
	var href = decodeURIComponent(window.location.href);
	href = href.toLowerCase();
	var str = "defaulttab=";
	var index = href.indexOf(str);
	if (index > -1) {
		index += str.length;
		defaultTab = href.substring(index);
	}
	
	return defaultTab;
}
   	
function showDefaultTab() {
	var defaultTab = getDefaultTab();
	if (defaultTab == "games") {
		$("#p-h").show();
		$("#p-r").hide();

		$(".games").css({"background-image":"url(images/wgyx_img2.png)","color":"#016db3"});
		$(".index").css({"background-image":"url(images/sy_img.png)","color":"#b0b0b0"});
        document.documentElement.scrollTop = document.body.scrollTop =0;		
	} else {
		$("#p-r").show();
		$("#p-h").hide();

		$(".games").css({"background-image":"url(images/wgyx_img.png)","color":"#b0b0b0"});
		$(".index").css({"background-image":"url(images/sy_img2.png)","color":"#016db3"});
        document.documentElement.scrollTop = document.body.scrollTop =0;		
	}
}

function show() {
	var oBody = document.body;
	
	var oNavNode = createNavNode();	
	oBody.appendChild(oNavNode);
	
	var oBgJbNode = createBgJbNode();
	oBody.appendChild(oBgJbNode);
	
	showDefaultTab();
}

show();

function loadScript() {
	
	// 最后加载lrtk.js文件
	var oScript = document.createElement("script");
	oScript.setAttribute("src", "js/lrtk.js");
	document.body.appendChild(oScript);		
}
window.onload = loadScript;


// add effect for the start game button
$('.game_button').on('touchstart', function() {
	$(this).addClass('active');
}).on('touchend', function() {
	$(this).removeClass('active');
});




